Name:           setup
Version:        2.13.9.1
Release:        1%{?dist}
Summary:        A set of system configuration and setup files

License:        Public Domain
URL:            https://pagure.io/setup/
Source0:        https://releases.pagure.org/%{name}/%{name}-%{version}.tar.bz2

BuildRequires:  make bash tcsh perl-interpreter systemd-rpm-macros
Requires:       system-release
BuildArch:      noarch

%description
The setup package contains a set of important system configuration and
setup files, such as passwd, group, and profile.

%prep
%setup -q
./shadowconvert.sh

%build

%check
make check

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p %{buildroot}/{etc/profile.d,etc/motd.d,etc/profile.d,var/log,run/motd.d,usr/lib/motd.d,%{_tmpfilesdir}}

cp -ar * %{buildroot}/etc
mv %{buildroot}/etc/lang* %{buildroot}/etc/profile.d/

touch %{buildroot}/{var/log/lastlog,etc/environment,etc/fstab,run/motd,usr/lib/motd}

echo "#Add any required envvar overrides to this file, it is sourced from /etc/profile" >%{buildroot}/etc/profile.d/sh.local
echo "#Add any required envvar overrides to this file, is sourced from /etc/csh.login" >%{buildroot}/etc/profile.d/csh.local

echo "f /run/motd 0644 root root -" >%{buildroot}%{_tmpfilesdir}/%{name}.conf
echo "d /run/motd.d 0755 root root -" >>%{buildroot}%{_tmpfilesdir}/%{name}.conf

chmod 0644 %{buildroot}/{etc/environment,var/log/lastlog,%{_tmpfilesdir}/%{name}.conf}
chmod 0400 %{buildroot}/etc/{shadow,gshadow}

rm -rf %{buildroot}/etc/{uidgid,COPYING,Makefile,serviceslint,uidgidlint,shadowconvert.sh,setup.spec,contrib}

#throw away useless and dangerous update stuff until rpm will be able to
#handle it ( http://rpm.org/ticket/6 )
%post -p <lua>
for i, name in ipairs({"passwd", "shadow", "group", "gshadow"}) do
     os.remove("/etc/"..name..".rpmnew")
end
if posix.access("/usr/bin/newaliases", "x") then
  os.execute("/usr/bin/newaliases >/dev/null")
end

%files
%license COPYING
%doc uidgid
%verify(not md5 size mtime) %config(noreplace) /etc/passwd
%verify(not md5 size mtime) %config(noreplace) /etc/group
%verify(not md5 size mtime) %attr(0000,root,root) %config(noreplace,missingok) /etc/shadow
%verify(not md5 size mtime) %attr(0000,root,root) %config(noreplace,missingok) /etc/gshadow
%verify(not md5 size mtime) %config(noreplace) /etc/subuid
%verify(not md5 size mtime) %config(noreplace) /etc/subgid
%config(noreplace) /etc/services
%verify(not md5 size mtime) %config(noreplace) /etc/exports
%config(noreplace) /etc/aliases
%config(noreplace) /etc/environment
%config(noreplace) /etc/filesystems
%config(noreplace) /etc/host.conf
%verify(not md5 size mtime) %config(noreplace) /etc/hosts
%verify(not md5 size mtime) %config(noreplace) /etc/motd
%dir /etc/motd.d
%verify(not md5 size mtime) %config(noreplace) /run/motd
%dir /run/motd.d
%verify(not md5 size mtime) %config(noreplace) /usr/lib/motd
%dir /usr/lib/motd.d
%config(noreplace) /etc/printcap
%verify(not md5 size mtime) %config(noreplace) /etc/inputrc
%config(noreplace) /etc/bashrc
%config(noreplace) /etc/profile
%config(noreplace) /etc/protocols
%config(noreplace) /etc/ethertypes
%config(noreplace) /etc/csh.login
%config(noreplace) /etc/csh.cshrc
%config(noreplace) /etc/networks
%dir /etc/profile.d
%config(noreplace) /etc/profile.d/sh.local
%config(noreplace) /etc/profile.d/csh.local
/etc/profile.d/lang.{sh,csh}
%config(noreplace) %verify(not md5 size mtime) /etc/shells
%ghost %attr(0644,root,root) %verify(not md5 size mtime) /var/log/lastlog
%ghost %verify(not md5 size mtime) %config(noreplace,missingok) /etc/fstab
%{_tmpfilesdir}/%{name}.conf


%changelog
* Tue Mar  1 2022 forrest_ly <flin@linux.alibaba.com> - 2.13.9.1-1
- Init for Anolis OS 23 
